import { APIClient } from "./ApiClient";
import { DeviceRelay } from "./DeviceApi";

export class RelayApi {
  /**
   * Get the full list of relays
   */
  static async GetList(): Promise<DeviceRelay[]> {
    return (
      await APIClient.exec({
        method: "GET",
        uri: "/relays/list",
      })
    ).data;
  }
}
